%define libname %mklibname spreadsheet %version
%define goffice %(rpm -q --queryformat %%{VERSION} goffice)
Name: gnumeric
Summary: A full-featured spreadsheet for GNOME
Version: 1.7.8
%define subrel 1
Release: %mkrel 1
License: GPL
Group: Office
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) fix help path
Patch0: gnumeric-1.7.0-fixhelp.patch
Patch1: gnumeric-1.7.6-gda3.patch
Patch2: gnumeric-1.7.8-CVE-2008-0668.patch
Source2: %{name}-32.png
Source3: %{name}-16.png
Source4: %{name}-48.png

URL:http://www.gnome.org/projects/gnumeric/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Requires: %libname = %version
BuildRequires:	libgnomeui2-devel
BuildRequires:  libgsf-devel >= 1:1.14.2
BuildRequires:  libgoffice-devel >= 0.3.7
BuildRequires:  libglade2.0-devel
BuildRequires:  libgnomeprintui-devel >= 2.4.2
%if %{mdkversion} >= 200610
BuildRequires:	libgda2.0-devel >= 1.9.103
BuildRequires:	gnome-db2.0-devel >= 1.3.0
%endif
#BuildRequires:	mono-devel
BuildRequires:	libpx-devel >= 0.3.0
BuildRequires:	libpsiconv-devel
BuildRequires:	pygtk2.0-devel
BuildRequires:	perl-devel
BuildRequires:  scrollkeeper
BuildRequires:  intltool
#BuildRequires:	guile-devel >= 1.6
BuildRequires:  automake1.7
BuildRequires:  desktop-file-utils
Requires:	pygtk2.0
Requires: goffice = %goffice
Requires(post):	scrollkeeper >= 0.3
Requires(postun):	scrollkeeper >= 0.3

%description
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).


%package -n %libname
Summary: Spreadsheet library from Gnumeric
Group: System/Libraries

%description -n %libname
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).

%package -n %libname-devel
Summary: Spreadsheet library from Gnumeric - development files
Group: Development/C
Requires: %libname = %version
Provides: libspreadsheet-devel = %version-%release
Provides: %{name}-devel = %version-%release
Obsoletes: %{name}-devel


%description -n %libname-devel
This is the Gnumeric, the GNOME spreadsheet program. If you are familiar with 
Excel, you should be ready to use Gnumeric.  It tries to clone all of 
the good features and stay as compatible as possible with Excel in terms of 
usability. Hopefully the bugs have been left behind :).


%prep
%setup -q
%patch0 -p1 -b .fixhelp
%patch1 -p1
%patch2 -p1 -b .cve-2008-0668
autoconf

%build

%configure2_5x --enable-ssindex

%make

%install
rm -rf $RPM_BUILD_ROOT %{name}.lang
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
rm -vf %buildroot%_datadir/%name/%version/perl/*/auto/Gnumeric/.packlist
rm -rf %buildroot/var
ln -s %_datadir/gnome %buildroot%_datadir/%name/%version

find %buildroot -name \*.la|xargs chmod 644

# Menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/%{name}" needs="X11" \
icon="%{name}.png" section="Office/Spreadsheets" \
title="Gnumeric" longtitle="A full-featured spreadsheet for Gnome" \
startup_notify="false" mimetypes="application/msexcel,text/x-csv,application/x-quattropro,application/x-gnumeric" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-Office-Spreadsheets" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
cp -f %{SOURCE2} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
cp -f %{SOURCE3} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
cp -f %{SOURCE4} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%find_lang %{name} --with-gnome
%find_lang %{name}-functions
cat %name-functions.lang >> %name.lang

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for schema in gnumeric-dialogs gnumeric-general gnumeric-plugins; do 
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$schema.schemas > /dev/null
done

%preun
if [ "$1" = "0" ]; then
 export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
 for schema in gnumeric-dialogs gnumeric-general gnumeric-plugins; do 
   gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$schema.schemas > /dev/null
 done
fi

%postun
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%post -n %libname -p /sbin/ldconfig 
%postun -n %libname -p /sbin/ldconfig 

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS BUGS README
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libdir}/gnumeric
%_libdir/goffice/%goffice/plugins/*
%{_datadir}/gnumeric
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%dir %{_datadir}/omf/gnumeric
%{_datadir}/omf/gnumeric/gnumeric-C.omf

%files -n %libname
%defattr(-, root, root)
%_libdir/libspreadsheet-%version.so

%files -n %libname-devel
%defattr(-, root, root)
%_libdir/libspreadsheet.so
%_libdir/lib*.la
%_libdir/pkgconfig/*.pc
%_includedir/libspreadsheet-*/


%changelog
* Thu Feb 28 2008 Vincent Danen <vdanen@mandriva.com>  1.7.8-1.1mdv2007.0
- P2: security fix for CVE-2008-0668

* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 1.7.8-1mdv2007.0
+ Revision: 133015
- new version
- bump deps

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1.7.7-1mdv2007.1
+ Revision: 122438
- new version

* Tue Jan 02 2007 Götz Waschk <waschk@mandriva.org> 1.7.6-2mdv2007.1
+ Revision: 103093
- patch to fix build with new gda and gnomedb

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 1.7.6-1mdv2007.1
+ Revision: 98493
- fix buildrequires
- depend on pygtk2.0 for the python plugin
- move devel provides to the devel package
- new version
- bump deps
- reenable perl module

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 1.7.5-1mdv2007.1
+ Revision: 91245
- new version
- bump deps

* Thu Nov 23 2006 Götz Waschk <waschk@mandriva.org> 1.7.4-1mdv2007.1
+ Revision: 86596
- depend on the exact goffice version
- new version
- bump deps

* Tue Oct 17 2006 Götz Waschk <waschk@mandriva.org> 1.7.2-1mdv2007.1
+ Revision: 65911
- new version
  bump goffice dep to have the gnumeric plugin in the right directory

* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 1.7.1-1mdv2007.1
+ Revision: 65663
- Import gnumeric



* Mon Oct 16 2006 Gtz Waschk <waschk@mandriva.org> 1.7.1-1mdv2007.1
- update file list
- unpack patch
- bump deps
- New version 1.7.1

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.0-2mdv2007.0
- Fix xdg tag
- rebuild with latest dbus

* Tue Jun 06 2006 Frederic Crozat <fcrozat@mandriva.com> 1.7.0-1mdv2007.0
- Release 1.7.0
- devel package is back
- Regenerate patch0

* Fri May 19 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.3-4mdk
- Migrate to XDG menu

* Sat Mar 25 2006 Götz Waschk <waschk@mandriva.org> 1.6.3-3mdk
- rebuild for new gnome-db

* Thu Mar 23 2006 Gtz Waschk <waschk@mandriva.org> 1.6.3-2mdk
- rebuild to fix broken source package

* Thu Mar 23 2006 Gtz Waschk <waschk@mandriva.org> 1.6.3-1mdk
- bump deps
- New release 1.6.3

* Wed Mar 08 2006 Götz Waschk <waschk@mandriva.org> 1.6.2-4mdk
- rebuild for new libgsf

* Mon Feb 27 2006 Frederic Crozat <fcrozat@mandriva.com> 1.6.2-3mdk
- Disable gda support on 2006.0

* Wed Feb 15 2006 Gtz Waschk <waschk@mandriva.org> 1.6.2-2mdk
- enable gnome-db

* Mon Jan 30 2006 Gtz Waschk <waschk@mandriva.org> 1.6.2-1mdk
- bump deps
- New release 1.6.2
- use mkrel

* Thu Nov 17 2005 Gtz Waschk <waschk@mandriva.org> 1.6.1-1mdk
- fix file list
- bump deps
- New release 1.6.1

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-3mdk
- it's not my day, really fix it.

* Wed Oct 12 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-2mdk
- make it installable

* Tue Oct 11 2005 Gtz Waschk <waschk@mandriva.org> 1.6.0-1mdk
- disable library package
- bump deps
- new version

* Mon Oct 10 2005 Frederic Crozat <fcrozat@mandriva.com> 1.5.90-1mdk
- Releae 1.5.90
- Regenerate patch0 (gotz)
- Remove patches 1, 2, 3 (merged upstream)
- libification (gotz)
- Disable gda support for now

* Tue Aug 30 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-5mdk 
- Patch3: security update CAN-2005-2491

* Sat Aug 27 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-4mdk 
- Generate ssindex, which can be used by beagle
- Update patch1 to fix build with libgsf 1.12.2
- Convert PreReq
- Patch2 (CVS): fix potential bufferoverrun

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-3mdk 
- Patch1 (CVS): use libgsf 1.12.x API 

* Tue May 03 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-2mdk 
- Fix build on x86-64

* Tue Apr 19 2005 Frederic Crozat <fcrozat@mandriva.com> 1.4.3-1mdk 
- Release 1.4.3

* Tue Jan 18 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.2-1mdk
- New release 1.4.2
- Regenerate patch0

* Tue Dec 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.1-2mdk
- rebuild for new gnome-db

* Fri Dec 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- New release 1.4.1
- Patch0: fix help path (Mdk bug #12355)

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 1.4.0-2mdk
- Rebuild for new  python

* Mon Nov 29 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.4.0-1mdk
- disable perl
- fix installation
- drop patches
- New release 1.4.0

* Mon Nov 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.93-2mdk
- remove some perl tempfile
- rebuild for new perl

* Wed Nov 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.3.93-1mdk
- enable perl plugins
- fix gconf script
- disable intltoolize
- new gnome-db
- enable psiconv support
- drop merged patch
- enable pxlib support
- fix buildrequires
- reenable libtoolize
- drop yelp stuff
- fix build
- new version

* Mon Aug 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-3mdk
- Patch0 (CVS): fix error in po file
- Fix missing schema registration (Mdk bug #11078)

* Thu Jun 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.13-2mdk
- Add some mimetypes (bug #8395)
- Remove yelp-pregenerate call

* Wed Jun 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.13-1mdk
- reenable libtoolize
- New release 1.2.13

* Wed May  5 2004  <fcrozat@mandrakesoft.com> 1.2.12-1mdk
- New release 1.2.12

* Mon Apr 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.11-1mdk
- new version

* Tue Apr 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.2.10-1mdk
- new version

* Fri Feb 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.6-1mdk
- Release 1.2.6
- Don't show yelp-pregenerate warning (even if there are harmless)

* Mon Jan 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.5-1mdk
- Release 1.2.5

* Tue Dec 30 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.4-1mdk
- Release 1.2.4

* Thu Nov 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.2-1mdk
- Release 1.2.2

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Tue Sep 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.0-1mdk
- Release 1.2.0 (stable !!)

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.90-1mdk
- Release 1.1.90
- Remove patch 0 (merged upstream)

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.20-1mdk
- Release 1.1.20
- Disable guile support, it is disable temporarily in source

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.19-4mdk
- Rebuild with python 2.3

* Mon Aug  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.19-3mdk
- Rebuild against latest gal

* Fri Aug  1 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.19-2mdk
- Ship .la, they are needed for plugins (bug #4455)

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.1.19-1mdk
- Release 1.1.19 (GNOME2 port)
- Remove patch0 (no longer applicable)

* Fri May 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> - 1.0.13-3mdk
- fixed bug on importing 8bit CSV files (bug #3705)

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.13-2mdk
- Rebuild against latest gal

* Thu Apr 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.0.13-1mdk
- Release 1.0.13

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.12-1mdk
- Release 1.0.12

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.11-1mdk
- Release 1.0.11

* Fri Nov  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.10-2mdk
- Recompiled with latest gal

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.10-1mdk
- Release 1.0.10
- Remove source5 (no longer needed)

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.9-1mdk
- Release 1.0.9

* Wed Jun 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.8-1mdk
- Release 1.0.8

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.7-1mdk
- Release 1.0.7

* Mon Apr 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.6-1mdk
- Release 1.0.6

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.5-1mdk
- Release 1.0.5
- Add support for scrollkeeper
- Add source 5 : missing documentation files

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-1mdk
- Release 1.0.4
- Unbzipped png icons

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.3-2mdk
- xpm -> png icons

* Wed Jan 23 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Jan 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-2mdk
- Recompiled against latest gal

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Jan  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- Switch to implicit dependencies when possible

* Sat Dec 29 2001 Stefab van der Eijk <stefan@eijk.nu> 0.99.0-2mdk
- fix BuildRequires

* Wed Dec 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.99.0-1mdk
- Release 0.99.0

* Wed Nov 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.76-1mdk
- release 0.76 (along with Guppi 0.40.2)

* Fri Nov  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.75-1mdk
- release 0.75

* Wed Oct 31 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.74-2mdk
- removed requirement on gnome-core

* Tue Oct 30 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.74-1mdk
- release 0.74

* Thu Oct 25 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.72-1mdk
- release 0.72 (to use with Guppi 0.40)

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.70-4mdk
- Recompiled against libgal12

* Fri Sep 14 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 0.70-3mdk
- rebuild including latest translations

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.70-2mdk
- Recompiled against libgal11

* Tue Aug 21 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.70-1mdk
- Release 0.70

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.69-1mdk
- Release 0.69

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.68-2mdk
- Recompiled against latest gal

* Wed Jul 18 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.68-1mdk
- new version, compiled with gal8

* Sun Jul 15 2001 Stefan van der Eijk <stefan@eijk.nu> 0.67-4mdk
- BuildRequires: db1-devel
- BuildRequires: GConf-devel
- BuildRequires: gdk-pixbuf-devel
- BuildRequires: oaf-devel
- BuildRequires: popt-devel
- BuildRequires: python-devel
- Copyright --> License
- Removed BuildRequires: libxml-devel
- Removed BuildRequires: ORBit-devel

* Fri Jul 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.67-3mdk
- with bonobo for real this time... (removed a 'percent' to avoid starting 
a second configure with the old options... pffff...) 
- guile support does not work: it needs a cvs version of guile...

* Tue Jul 10 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.67-2mdk
- updated summary

* Mon Jul  9 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.67-1mdk
- new version
- requires libgal7
- with bonobo
- updated file list

* Wed Jun 13 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.65-1mdk
- new version

* Fri May 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.64-3mdk
- Recompiled against latest gal

* Mon Mar 26 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.64-2mdk
- readded python scripts
- added missing .category files in autoformat templates directories 
(thanks to Laurent Montel for tumbling across the bug)

* Tue Mar 20 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.64-1mdk
- new version

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.63-2mdk
- minor corrections and more cleanup

* Tue Feb 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.63-1mdk
- new version
- separated devel package
- cleaned up spec

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.61-2mdk
- Recompiled against new gal

* Sun Dec 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.61-1mdk
- new and shiny source.
- changed the buildrequires and the requires for the newly named libole20.

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.58-1mdk
- new and shiny source.
- requires gnome-print >= 0.25
- requires gal >= 0.2.2
- buildrequires gnome-print-devel >= 0.25
- buildrequires gal >= 0.2.2

* Fri Oct 13 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.57-1mdk
- new version (needs gal)
- corrected install and added some files

* Tue Aug 29 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.56-4mdk
- added icons
- menu entry in spec file
- packager tag

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.56-3mdk
- BM (help by Damien)
- more macros

* Tue Jun 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.56-2mdk
- fix URL
- spec simplification through new chmou toys

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 0.56-1mdk
- updated to 0.56

* Thu Jun  8 2000 dam's <damien@mandrakesoft.com> 0.54-1mdk
- updated to helix version.

* Sat May 27 2000 dam's <damien@mandrakesoft.com> 0.53-1mdk
- took new version from Helix.

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.52-3mdk
- BuildRequires: gnome-print-devel.

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-2mdk
- added a 32x32 icon for a better-looking KDE docking
- removed gnumeric.desktop because we don't need it, we have menu for that
- fixed /usr/share/locale/.. directory owns

* Fri Apr 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.52-1mdk
- took srpm from Helix [grrr.. they don't provide changelog, why?]
- add menu entry, with icon
